Documentation - Bug #1499

libreboot docs may be outdated - full disk encryption has some issues
2017-10-14 02:09 AM - Anonymous

Status: not-a-bug % Done: 0%
Priority: broken

Assignee:

Category:

Description

following this guide:
https://wiki.parabola.nu/Installing_Parabola_on_Libreboot_with_full_disk_encryption_(including_/boot)

this is essentially the error | get when | try to do full disk encrypion on libreboot with /boot encrypted...
running early hook [udev]
running early hook [lvm2]

running hook [encrypt]
Waiting 10 seconds for device /dev/aether/core
[ 4.250559] sd 4:0:0:0: [sdb] No Caching mode page found.
[ 4.250612] sd 4:0:0:0: [sdb] Assuming drive cache: write through
ERROR: device '/dev/aether/core/' not found. Skipping fsck.
:: mounting '/dev/aether/core' on real root
mount: you must specify the filesystem type
You are now being dropped into an emergency shell.
sh: can't access tty; Jjob control turned off
[rootfs ]#

this error | speak of has happened to others too...

here is an example https://www.reddit.com/r/Parabola/comments/6ytkkz/parabola_on_fully _encrypted_disk_fails_to_boot/

| put it here because it is both a bug in documentation and requires some fixing. | am using an x200 with the latest libreboot update.

History

#1-2017-10-14 02:12 AM - bill-auger

zapper -

if you think this is a bug in documentation, please point to the place in the documentation where the error is and suggest why it should be changed or
what it should be changed to

#2 - 2017-10-14 02:15 AM - Anonymous

bill-auger wrote:
zapper -
if you think this is a bug in documentation, please point to the place in the documentation where the error is and suggest why it should be
changed or what it should be changed to

That would be it, | don't know why it is happening... so | can't point to which part of the documentation causes this to happen...

| just need you to look into it and tell me if you can solve my problem. It has happened numerous times... when | try. that's all.

unless you fixed this issue in the newest releases...

#3 - 2017-10-14 02:20 AM - bill-auger

i dont know for sure if it will make any difference but you could try the SystemD/LXDE Preview ISO - that uses a completely different installer than the
others

#4 - 2017-10-14 02:22 AM - Anonymous
https://wiki.parabola.nu/Installing_Parabola_on_Libreboot_with_full_disk_encryption_(including_/boot)
https://www.reddit.com/r/Parabola/comments/6ytkkz/parabola_on_fully_encrypted_disk_fails_to_boot/

bill-auger wrote:
i dont know for sure if it will make any difference but you could try the SystemD/LXDE Preview ISO - that uses a completely different installer

than the others

Would it help if | used the Ixde openrc image and also | just wondered if you plan to make a complete Ixde image in the future where the internet isn't
required.

#5 - 2017-10-14 02:24 AM - bill-auger

- Description updated

#6 - 2017-10-14 02:27 AM - bill-auger

the ISO titled "Parabola SystemD LXDE Edition (complete)" is able to install without internet - the one there today will actually install a mate desktop
though - the full LXDE installer is coming soon - for today it is more important to now if the new installer solves your issue as in the future we are
hoping to use that for the others too

the openRC ISOs currently still use the old installer - but as i dont know what your problem is it could also be worth trying that one too

#7 - 2017-10-14 02:29 AM - Anonymous

bill-auger wrote:

the I1SO titled "Parabola SystemD LXDE Edition (complete)" is able to install without internet

the openRC ISOs currently still use the old installer - but as i dont know what your problem is it could also be worth trying that one too

Yeah... my problem is that when | install Full disk encryption with /boot using that guide, that message appears when | reboot. simple and true.
#8 - 2017-10-14 02:36 AM - Anonymous
bill-auger wrote:
the IS0 titled "Parabola SystemD LXDE Edition (complete)" is able to install without internet - the one there today will actually install a mate
desktop though - the full LXDE installer is coming soon - for today it is more important to now if the new installer solves your issue as in the

future we are hoping to use that for the others too

the openRC ISOs currently still use the old installer - but as i dont know what your problem is it could also be worth trying that one too

| can check at some point probably...
#9 - 2017-10-14 03:49 AM - bill-auger
zapper -

please do post back here if either of the Preview ISOs solve this issue for you

#10 - 2017-10-14 06:59 AM - isacdaavid

isn't this the same as #1419 ?

#11 - 2017-10-14 04:24 PM - Anonymous

isacdaavid wrote:

isn't this the same as #1419 ?

no, more like #1416.

but, | will try the preview iso if possible.

#12 - 2017-10-15 03:17 AM - Anonymous

isacdaavid wrote:

isn't this the same as #1419 ?

Input output error occured when | used the Ixde openrc image. | hope this issue isn't on other versions of parabola... among other problems... welp |
guess those images are beta for a reason. ;)
truthfully | couldn't install even without fde.

#13 - 2017-10-15 03:51 AM - bill-auger

zapper - as i explained though the openrc ISO uses the same installer that you already tried so that was a long-shot - all we could have learned if that
had worked is that the problem is not in the old installer - but as i said the new installer is expected to replace that one as the primary installer on the
liveCD desktop and it works very differently so i had quite hoped you would have tried that one first

#14 - 2017-10-16 09:43 PM - Anonymous

bill-auger wrote:

zapper - as i explained though the openrc ISO uses the same installer that you already tried so that was a long-shot - all we could have learned if
that had worked is that the problem is not in the old installer - but as i said the new installer is expected to replace that one as the primary
installer on the liveCD desktop and it works very differently so i had quite hoped you would have tried that one first

My bad, | am thinking | may try the openrc cli installer... do you think that will work?

#15 - 2017-10-16 10:16 PM - bill-auger
installing manually by command-line should work equally well regardless of which ISO you start from
the important thing to ask here is is "what are we trying to accomplish?" - are we trying to get parabola installed on your system in any way possible (if

s0, then please try the "Parabola SystemD LXDE Edition") - or are we trying to correct the documentation (if so then by all means try them all and see
if you get the same or different results from each and maybe it can be determined where this procedure is failing you)

i was just looking a bit more into it and there is one more thing that should be said about this - the parabola wiki article has not been updated in almost
a year - that may or may not be important but the libreboot website has it's own documentation regarding parabola and disk encryption with a very
different body of text - i would have to assume that the libreboot documentation would be the better one to follow

https://libreboot.org/docs/gnulinux/encrypted_parabola.html

#16 - 2017-10-17 04:50 PM - Anonymous

bill-auger wrote:

https://libreboot.org/docs/gnulinux/encrypted parabola.html

ah, | had no idea... thanks for telling me. :)

I will try sometime this week. when | have time.

#17 - 2017-10-18 02:11 AM - Anonymous

oddly enough same thing happened. its weird...

anything | can do to reveal what the issue is? is there a command | can do to figure this mess out with?
#18 - 2017-10-18 02:17 AM - bill-auger

first i would try installing parabola without disk encryption and without libreboot

then i would try installing parabola with disk encryption and without libreboot

if either of those fail then we have something to discuss here - or else if both of those are successful then you know the problem is with libreboot and
you should open a bug with them

#19 - 2017-10-18 02:21 AM - bill-auger

- Subject changed from full disk encryption has some issues to libreboot docs may be outdated - full disk encryption has some issues

#20 - 2017-10-18 02:41 AM - Anonymous

bill-auger wrote:
first i would try installing parabola without disk encryption and without libreboot
then i would try installing parabola with disk encryption and without libreboot

if either of those fail then we have something to discuss here - or else if both of those are successful then you know the problem is with libreboot
and you should open a bug with them
hmmm... is there any debugging information though that | can give you to help me fix my install? | really would like to fix this issue once and for all.
Also, | really would prefer not to install it without fde if possible...

EDIT: | reloaded the iso and it says | have no fstab for some reason... can that be fixed?

#21 - 2017-10-18 04:43 AM - bill-auger

i did not imply that you would need to keep any of the installs; only that you try then to see if they work - this is basic troubleshooting procedure - try
the simpler things first then build your way to more and more complicated things one feature at a time until you find the feature that causes the
problem - right now we can not know if the problem is parabola, openRC, your disk encryption, libreboot, or your computer - if the cause of your
problem is parabola or parabola's openRC then we can possibly help you - if the cause of your problem is libreboot or your encrypted disk then there
is probably nothing that anyone can do for you here - so this is why i am trying to find out:

. is it possible to install ANY version of parabola on your computer without disk encryption without libreboot

. is it possible to install the openRC version of parabola on your computer without disk encryption without libreboot
. is it possible to install the openRC version of parabola on your computer with disk encryption without libreboot

. is it possible to install ANY version of parabola on your computer with disk encryption without libreboot

. is it possible to install ANY version of parabola on your computer without disk encryption with libreboot

a OO =

if 1 and 2 fail then we probably can not help you here - your computer is broken
if 1 2 and 5 succeed but 3 and 4 fail then your problem has to do with disk encryption
if 1-4 succeed but 5 fails then your problem is libreboot

that is not even all of the possible combinations - it is up to you to try as many as you can until something works and something doesnt where you can
say "it must be .. due to X" and X is one of (parabola, openRC, your disk encryption, libreboot, or your computer) - ONLY then is there anything to
discuss on this forum - if you can determine for example that the problem ONLY exists when using openRC, then it would be sensible to start
troubleshooting openRC specifically

#22 - 2017-10-18 05:07 AM - Anonymous

bill-auger wrote:

i did not imply that you would need to keep any of the installs; only that you try then to see if they work - this is basic troubleshooting procedure -
try the simpler things first then build your way to more and more complicated things one feature at a time until you find the feature that causes
the problem - right now we can not know if the problem is parabola, openRC, your disk encryption, libreboot, or your computer - if the cause of
your problem is parabola or parabola's openRC then we can possibly help you - if the cause of your problem is libreboot or your encrypted disk
then there is probably nothing that anyone can do for you here - so this is why i am trying to find out:

| have been able to install full disk encryption with other distributions such as devuan...
1. is it possible to install ANY version of parabola on your computer without disk encryption without libreboot
2. is it possible to install the openRC version of parabola on your computer without disk encryption without libreboot
| have in the past install parabola without full disk encryption also now that | think of it.
3. is it possible to install the openRC version of parabola on your computer with disk encryption without libreboot
4. is it possible to install ANY version of parabola on your computer with disk encryption without libreboot
5. is it possible to install ANY version of parabola on your computer without disk encryption with libreboot
if 1 and 2 fail then we probably can not help you here - your computer is broken
if 1 2 and 5 succeed but 3 and 4 fail then your problem has to do with disk encryption
if 1-4 succeed but 5 fails then your problem is libreboot
that is not even all of the possible combinations - it is up to you to try as many as you can until something works and something doesnt where
you can say "it must be .. due to X" and X is one of (parabola, openRC, your disk encryption, libreboot, or your computer) - ONLY then is there

anything to discuss on this forum - if you can determine for example that the problem ONLY exists when using openRC, then it would be
sensible to start troubleshooting openRC specifically

it has to do with software pretty sure or me making errors.

#23 - 2017-10-20 01:26 AM - Anonymous

| give up, this is too confusing, maybe | need more technical skills before | embark on this idea... later.

#24 - 2017-10-20 01:30 AM - bill-auger

- Status changed from open to not-a-bug

#25 - 2017-10-20 05:18 PM - isacdaavid

zapper wrote:
| give up, this is too confusing, maybe | need more technical skills before | embark on this idea... later.

i'm sorry to hear that, because that Libreboot guide is most certainly outdated, specially if #1416 is still an issue.

i guess you have already given a shot to what is described in #1416 at this point.
